## Function `skyDistance( lon1, lat1, lon2, lat2 )`

Description:
  Calculates the separation (distance around a great circle) of two points on the sky in degrees.

  This function is identical to `skyDistanceDegrees` in class `CoordsDegrees`.

Parameters:
  `lon1` (floating point)
    point 1 longitude in degrees
  `lat1` (floating point)
    point 1 latitude in degrees
  `lon2` (floating point)
    point 2 longitude in degrees
  `lat2` (floating point)
    point 2 latitude in degrees

Return Value (floating point):
  angular distance between point 1 and point 2 in degrees

Signature:
  `double skyDistance(double, double, double, double)`